
const create = async (params, credentials, quiz) => {
  try {
    let response = await fetch('/api/quiz/' + params.userId, {
      method: 'POST',
      headers: {
        'Accept': 'application/json',
        'Content-Type': 'application/json',
        'Authorization': 'Bearer ' + credentials.t,
      },
      body: JSON.stringify(quiz),
    })
    return await response.json()
  } catch (error) {
    console.log(error)
  }
}

const read = async (params, credentials, signal) => {
  try {
    let response = await fetch('/api/quiz/by/' + params.quizId, {
      method: 'GET',
      signal: signal,
      headers: {
        'Accept': 'application/json',
        'Content-Type': 'application/json',
        'Authorization': 'Bearer ' + credentials.t,
      },
    })
    return await response.json()
  } catch (error) {
    console.log(error)
  }
}

const createProblem = async (params, credentials, problem) => {
  try {
    let response = await fetch('/api/quiz/problem/' + params.userId, {
      method: 'POST',
      headers: {
        'Accept': 'application/json',
        'Content-Type': 'application/json',
        'Authorization': 'Bearer ' + credentials.t,
      },
      body: JSON.stringify(problem),
    })
    return await response.json()
  } catch (error) {
    console.log(error)
  }
}

const readProblem = async (params, credentials, signal) => {
  try {
    let response = await fetch('/api/quiz/problem/by/' + params.problemId, {
      method: 'GET',
      signal: signal,
      headers: {
        'Accept': 'application/json',
        'Content-Type': 'application/json',
        'Authorization': 'Bearer ' + credentials.t,
      },
    })
    return await response.json()
  } catch (error) {
    console.log(error)
  }
}

const updateProblem = async (params, credentials, problem) => {
  try {
    let response = await fetch('/api/quiz/problem/by/' + params.problemId, {
      method: 'PUT',
      headers: {
        'Accept': 'application/json',
        'Content-Type': 'application/json',
        'Authorization': 'Bearer ' + credentials.t,
      },
      body: JSON.stringify(problem)
    })
    return await response.json()
  } catch (error) {
    console.log(error)
  }
}

const removeProblem = async (params, credentials) => {
  try {
    let response = await fetch('/api/quiz/problem/by/' + params.problemId, {
      method: 'DELETE',
      headers: {
        'Accept': 'application/json',
        'Authorization': 'Bearer ' + credentials.t,
      }
    })
    return await response.json()
  } catch (error) {
    console.log(error)
  }
}


const listByUserId = async (params, credentials, signal) => {
  try {
    let response = await fetch('/api/quiz/' + params.userId, {
      method: 'GET',
      signal: signal,
      headers: {
        'Accept': 'application/json',
        'Authorization': 'Bearer ' + credentials.t,
      },
    })
    return await response.json()
  } catch (error) {
    console.log(error)
  }
}

export {
  create,
  read,
  createProblem,
  readProblem,
  updateProblem,
  removeProblem,
  listByUserId,
}